function addWMTSLayer(layer, mapView) {
  const options = {
    // 服务基地址
    url: layer.url,
    // 图层名称
    layer: layer.layer,
    // 请求格式
    format: layer.format,
    // 瓦片样式
    style: layer.style,
    // 比例尺
    tileMatrixSetID: layer.tileMatrixSet,
    // 裁图方式
    tilingScheme: new Cesium.GeographicTilingScheme({
      rectangle: Cesium.Rectangle.fromDegrees(-180.0, -90.0, 180.0, 90.0),
      ellipsoid: Cesium.Ellipsoid.WGS84,
      numberOfLevelZeroTilesX: 2,
      numberOfLevelZeroTilesY: 1
    })
  }
  mapView.scene.imageryLayers.addImageryProvider(
    new Cesium.WebMapTileServiceImageryProvider(options)
  )
}

export { addWMTSLayer }
